#
# aao_level.bsl
#

var int kills_left = 0;
var int number = 0;
var int type = 0;
var int part = 0;
var int final_part = 0;

var int swift_strike = 1;

func void start(string ai_name)
{
	dmsg("[y.Against All Odds] v0.1");
	dmsg(" ");
	sleep 90;
	dmsg("[y.Survive] as [y.long] as possible!");
	dmsg(" ");
	sleep 150;
	dmsg(" ");
	dmsg(" ");
	dmsg(" ");
	dmsg("[g.ARE]");
	sleep 30;
	dmsg(" ");
	dmsg(" ");
	dmsg("[b.ARE]");
	dmsg("[b.YOU]");
	sleep 30;
	dmsg(" ");
	dmsg("[r.ARE]");
	dmsg("[r.YOU]");
	dmsg("[r.READY?]");
	sleep 90;

	number = 1; part = 1;
	round
}



func void spawn(string ai_name, int flag, int opt)
{
	ai2_spawn(ai_name, force);
	chr_changeteam(ai_name, Syndicate);
	chr_unkillable(ai_name, 1);
	chr_inv_reset(ai_name);
	if (opt eq 0)
	{
		chr_full_health(ai_name);
	}
	if (opt eq 1)
	{
		chr_set_health(ai_name, 400);
	}
	if (opt eq 2)
	{
		chr_set_health(ai_name, 500);
	}
	
	chr_teleport(ai_name, flag);
	ai2_lookatme(ai_name);

	chr_wait_health(ai_name, 1);
	chr_pain(ai_name, death);
	kills_left = kills_left - 1;
	chr_givepowerup(ai_name, invis, -1);
	if (number > 90)
	{
		chr_animate(ai_name, COMCOMlev13_death, 120)
		sleep 20;
	}
	if (number <= 90)
	{
		sleep 60;
	}
	chr_delete(ai_name);
	if (kills_left eq 0 and part ne final_part)
	{
		part = part + 1;
		round
	}
	else if (kills_left eq 0 and part eq final_part)
	{
		timer_stop
		sound_dialog_play c17_99_28konoko
		cinematic_start(KONtransform, 128, 128, 15, 1, 30, false)
		chr_animate(0, KONOKOendpowerup)
		sethealthbonus
		sleep 200;
		cinematic_stop(KONtransform, 15, 30)
		number = number + 1; part = 1;
		round
	}
}

func void round(void)
{
	swift_strike = 1;
	dmsg(" ");
	dmsg(" ");
	dmsg(" ");
	if (number eq 1 and part eq 1)
	{
		sound_music_start(mus_asian);
		dmsg("[y.Round 1]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 10 swift_fail
		fork spawn(LoadingBay_Thug_1, fl1, 0);
	}
	if (number eq 2 and part eq 1)
	{
		dmsg("[y.Round 2]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 10 swift_fail
		fork spawn(IntroStriker01, fl2, 0);
	}
	if (number eq 3 and part eq 1)
	{
		dmsg("[y.Round 3]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 15 swift_fail
		fork spawn(BoothStriker01, fl3, 0);
	}
	if (number eq 4 and part eq 1)
	{
		dmsg("[y.Round 4]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 20 swift_fail
		fork spawn(finalam_striker_1, fl4, 0);
	}
	if (number eq 5 and part eq 1)
	{
		dmsg("[g.Round 5]")
		type = 1;
		kills_left = 2;
		final_part = 1;
		timer_start 50 swift_fail
		fork spawn(finalam_striker_1, fl5, 0);
		fork spawn(finalam_striker_2, fl6, 0);
	}
	if (number eq 6 and part eq 1)
	{
		dmsg("[y.Round 6]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 25 swift_fail
		fork spawn(red3, fl7, 0);
	}
	if (number eq 7 and part eq 1)
	{
		dmsg("[y.Round 7]")
		type = 0;
		kills_left = 2;
		final_part = 1;
		timer_start 40 swift_fail
		fork spawn(blackops1, fl2, 0);
		fork spawn(blackopslite1, fl3, 0);
	}
	if (number eq 8 and part eq 1)
	{
		dmsg("[y.Round 8]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 25 swift_fail
		fork spawn(tanker1, fl8, 0);
	}
	if (number eq 9 and part eq 1)
	{
		dmsg("[y.Round 9]")
		type = 0;
		kills_left = 1;
		final_part = 1;
		timer_start 30 swift_fail
		fork spawn(elite1, fl1, 0);
	}
	### Griffin I
	if (number eq 10 and part eq 1)
	{
		dmsg("[b.Round 10]")
		type = 2;
		kills_left = 3;
		final_part = 1;
		timer_start 90 swift_fail
		fork spawn(griffin, fl3, 0);
		fork spawn(blackops1, fl4, 0);
		fork spawn(blackopslite1, fl5, 0);
	}
	if (number eq 11 and part eq 1)
	{
		sound_music_stop(mus_asian);
		dmsg("[y.End] of this version.");
	}
	### Afterlife Boss II
	if (number eq 100 and part eq 1)
	{
		sound_music_start(mus_asian);
		dmsg("[r.Round 100]")
		type = 3;
		kills_left = 1;
		final_part = 4;
		timer_start 600 swift_fail
		fork spawn(evilkonoko, fl1, 1);
		fork spawn(BoothMuro01, fl2, 2);
	}
	if (number eq 100 and part eq 2)
	{
		kills_left = kills_left + 2;
		fork spawn(superninja, fl3, 0);
		fork spawn(red3, fl4, 0);
		fork spawn(tanker1, fl5, 0);
	}
	if (number eq 100 and part eq 3)
	{
		kills_left = kills_left + 3;
		fork spawn(griffin, fl6, 0);
		fork spawn(blackops1, fl7, 0);
		fork spawn(blackopslite1, fl8, 0);
	}
	if (number eq 100 and part eq 4)
	{
		kills_left = kills_left + 4;
		fork spawn(barabus, fl1, 0);
		fork spawn(elite1, fl2, 0);
	}
	if (number eq 101 and part eq 1)
	{
		sound_music_stop(mus_asian);
		dmsg("[r.Had enough yet?]");
	}
}